%define upstream_name    Test-HasVersion
%define upstream_version 0.014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Check Perl modules have version numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester) >= 1.40.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
Do you wanna check that every one of your Perl modules in a distribution
has a version number? You wanna make sure you don't forget the brand new
modules you just added? Well, that's the module you have been looking for.
Use it!

Do you wanna check someone else's distribution to make sure the author have
not committed the sin of leaving Perl modules without a version that can be
used to tell if you have this or that feature? 'Test::HasVersion' is also
for you, nasty little fellow.

There's a script _test_version_ which is installed with this distribution.
You may invoke it from within the root directory of a distribution you just
unpacked, and it will check every _.pm_ file in the directory and under
_lib/_ (if any).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/test_version


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.14.0-6.mga10
+ Revision: 2200810
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.14.0-5.mga9
+ Revision: 1806180
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.14.0-4.mga8
+ Revision: 1497359
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.14.0-3.mga7
+ Revision: 1271872
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-2.mga6
+ Revision: 1034295
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.14.0-1.mga6
+ Revision: 1002310
- update to 0.014

* Mon Feb 08 2016 umeabot <umeabot> 0.12.0-8.mga6
+ Revision: 949283
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.12.0-7.mga5
+ Revision: 789555
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-6.mga5
+ Revision: 743613
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.12.0-5.mga5
+ Revision: 736007
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 686456
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.12.0-3.mga4
+ Revision: 515112
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.0-2.mga3
+ Revision: 373562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.12.0-1.mga1
+ Revision: 28801
- mageia rebuild
- imported package perl-Test-HasVersion

